# $Revision: 1.262.2.5 $, $Date: 2012/04/05 06:49:25 $
#
# Conditional build:
%bcond_with	gnutls		# use GNU TLS for SSL/TLS support (instead of OpenSSL)
%bcond_without	dnssd
%bcond_without	php		# don't build PHP extension/support in web interface
%bcond_without	perl		# don't build Perl extension/support in web interface
%bcond_without	java		# don't build Java extension/support in web interface
%bcond_without	python		# don't build Python support in web interface
%bcond_without	static_libs	# don't build static library
#
%include	/usr/lib/rpm/macros.perl
%include	/usr/lib/rpm/macros.java
%define		pdir CUPS

%ifarch i386 i486 ppc
%undefine	with_java
%endif

Summary:	Common Unix Printing System
Summary(pl.UTF-8):	Ogólny system druku dla Uniksa
Summary(pt_BR.UTF-8):	Sistema Unix de Impressão
Name:		cups
Version:	1.3.11
Release:	9
Epoch:		1
License:	LGPL v2 (libraries), GPL v2 (the rest) + openssl exception
Group:		Applications/Printing
Source0:	http://ftp.easysw.com/pub/cups/%{version}/%{name}-%{version}-source.tar.bz2
# Source0-md5:	17f3e2bcb3cae3dd9dceb65a2bfd295f
Source1:	%{name}.init
Source2:	%{name}.pamd
Source3:	%{name}.logrotate
Source4:	%{name}.mailto.conf
Source5:	%{name}-lpd.inetd
Patch0:		%{name}-config.patch
Patch1:		%{name}-lp-lpr.patch
Patch2:		%{name}-options.patch
Patch3:		%{name}-man_pages_linking.patch
Patch4:		%{name}-nostrip.patch
Patch5:		%{name}-certs_FHS.patch
Patch6:		%{name}-direct_usb.patch
Patch7:		%{name}-no-polluted-krb5config.patch
Patch8:		%{name}-java-fix.patch
Patch9:		%{name}-verbose-compilation.patch
Patch10:	%{name}-peercred.patch
Patch11:	%{name}-translate.patch
URL:		http://www.cups.org/
BuildRequires:	acl-devel
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_dnssd:BuildRequires:	avahi-compat-libdns_sd-devel}
BuildRequires:	dbus-devel
BuildRequires:	glibc-headers
%{?with_gnutls:BuildRequires:	gnutls-devel}
%{?with_java:BuildRequires:	jar}
%{?with_java:BuildRequires:	jdk}
%{?with_java:BuildRequires:	jpackage-utils}
BuildRequires:	heimdal-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	openldap-devel
BuildRequires:	openslp-devel
%{!?with_gnutls:BuildRequires:	openssl-devel}
BuildRequires:	pam-devel
%{?with_php:BuildRequires:	php-devel >= 4:5.0.0}
BuildRequires:	pkgconfig
%{?with_java:BuildRequires:	rpm-javaprov}
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.344
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	openssl-tools
Requires:	pam >= 0.77.3
Requires:	rc-scripts
Provides:	printingdaemon
Obsoletes:	printingdaemon
Conflicts:	ghostscript < 7.05.4
Conflicts:	logrotate < 3.7-4
# pstoraster:
Suggests:	cups-filter-pstoraster
# Contains imagetops...:
Suggests:	kde4-kde3support
# pdftops:
Suggests:	poppler-progs
# pstops:
Suggests:	psutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	%{_prefix}/lib

%description
CUPS provides a portable printing layer for UNIX-based operating
systems. It has been developed by Easy Software Products to promote a
standard printing solution for all UNIX vendors and users. CUPS
provides the System V and Berkeley command-line interfaces. CUPS uses
the Internet Printing Protocol ("IPP") as the basis for managing print
jobs and queues. The Line Printer Daemon ("LPD") Server Message Block
("SMB"), and AppSocket (a.k.a. JetDirect) protocols are also supported
with reduced functionality. CUPS adds network printer browsing and
PostScript Printer Description ("PPD") based printing options to
support real-world printing under UNIX.

%description -l pl.UTF-8
CUPS dostarcza standardowy poziom drukowania dla systemów uniksowych.
CUPS używa protokołu IPP - Internet Printint Protocol jako podstawy do
zarządzania zadaniami i kolejkami druku. W ograniczonym zakresie
obsługiwane są także protokoły LPD (Line Printer Daemon), SMB (Server
Message Block) i AppSocket (znany także jako JetDirect). CUPS
udostępnia przeglądanie drukarek sieciowych i opcje drukowania oparte
na PPD (PostScript Printer Description) do obsługi rzeczywistych
drukarek.

%description -l pt_BR.UTF-8
O sistema Unix de impressão (CUPS) fornece uma camada de impressão
portável para os sistemas operacionais baseados no UNIX®.

%package lib
Summary:	Common Unix Printing System Libraries
Summary(pl.UTF-8):	Biblioteki dla CUPS
Summary(pt_BR.UTF-8):	Sistema Unix de Impressão - bibliotecas para uso em clientes cups
License:	LGPL v2 + openssl exception
Group:		Libraries
Provides:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	cups-libs
Obsoletes:	libcups1

%description lib
Common Unix Printing System Libraries.

%description lib -l pl.UTF-8
Biblioteki dla CUPS.

%description lib -l pt_BR.UTF-8
Bibliotecas CUPS requeridas pelos clientes CUPS.

%package clients
Summary:	Common Unix Printing System Clients
Summary(pl.UTF-8):	Aplikacje klienckie dla CUPS
License:	GPL v2 + openssl exception
Group:		Applications/Printing
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Provides:	printingclient
Obsoletes:	printingclient

%description clients
Common Unix Printing System Clients.

%description clients -l pl.UTF-8
Aplikacje klienckie dla CUPS.

%package image-lib
Summary:	Common Unix Printing System Libraries - images manipulation
Summary(pl.UTF-8):	Biblioteki dla CUPS - obsługa formatów graficznych
Summary(pt_BR.UTF-8):	Sistema Unix de Impressão - bibliotecas para uso em clientes cups
License:	LGPL v2 + openssl exception
Group:		Libraries
Requires:	%{name}-lib = %{epoch}:%{version}-%{release}
Obsoletes:	libcups1

%description image-lib
Common Unix Printing System Libraries - images manipalation.

%description image-lib -l pl.UTF-8
Biblioteki dla CUPS - obsługa formatów graficznych.

%description image-lib -l pt_BR.UTF-8
Bibliotecas CUPS requeridas pelos clientes CUPS.

%package devel
Summary:	Common Unix Printing System development files
Summary(pl.UTF-8):	Ogólny system druku dla Uniksa - pliki nagłówkowe
Summary(pt_BR.UTF-8):	Sistema Unix de Impressão - ambiente de desenvolvimento
License:	LGPL v2 + openssl exception
Group:		Development/Libraries
Requires:	%{name}-image-lib = %{epoch}:%{version}-%{release}
Requires:	%{name}-lib = %{epoch}:%{version}-%{release}
# for libcups
%{?with_gnutls:Requires:	gnutls-devel}
Requires:	heimdal-devel
%{!?with_gnutls:Requires:	openssl-devel}
Requires:	zlib-devel
# for libcupsimage
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libtiff-devel
Obsoletes:	libcups1-devel

%description devel
Common Unix Printing System development files.

%description devel -l pl.UTF-8
Ogólny system druku dla Uniksa - pliki nagłówkowe.

%description devel -l pt_BR.UTF-8
Este pacote é um adicional que contem um ambiente de desenvolvimento
para a criação de suporte a novas impressoras e novos serviços ao
CUPS.

%package static
Summary:	Common Unix Printing System static libraries
Summary(pl.UTF-8):	Ogólny system druku dla Uniksa - biblioteki statyczne
Summary(pt_BR.UTF-8):	Common Unix Printing System - bibliotecas estáticas
License:	LGPL v2 + openssl exception
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Common Unix Printing System static libraries.

%description static -l pl.UTF-8
Ogólny system druku dla Uniksa - biblioteki statyczne.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento de programas que usam as
bibliotecas do CUPS.

%package -n perl-cups
Summary:	Perl module for CUPS
Summary(pl.UTF-8):	Moduł Perla CUPS
License:	GPL v2 + openssl exception
Group:		Development/Languages/Perl
Requires:	%{name}-lib = %{epoch}:%{version}-%{release}

%description -n perl-cups
Perl module for Common Unix Printing System.

%description -n perl-cups -l pl.UTF-8
Moduł Perla do ogólnego systemu druku dla Uniksa.

%package -n php-cups
Summary:	PHP module for CUPS
Summary(pl.UTF-8):	Moduł PHP CUPS
License:	GPL v2 + openssl exception
Group:		Development/Languages/PHP
Requires:	%{name}-lib = %{epoch}:%{version}-%{release}
%{?requires_php_extension}
Requires:	/etc/php/conf.d
Requires:	php-common >= 4:5.0.0

%description -n php-cups
PHP module for Common Unix Printing System.

%description -n php-cups -l pl.UTF-8
Moduł PHP do ogólnego systemu druku dla Uniksa.

%package -n java-cups
Summary:	CUPS java classes
Summary(pl.UTF-8):	Klasy javy CUPS
License:	GPL v2 + openssl exception
Group:		Libraries/Java
Requires:	jpackage-utils

%description -n java-cups
Common Unix Printing System Java classes.

%description -n java-cups -l pl.UTF-8
Klasy javy do ogólnego systemu druku dla Uniksa.

%package -n java-cups-javadoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
License:	GPL v2 + openssl exception
Group:		Documentation
Requires:	jpackage-utils

%description -n java-cups-javadoc
Documentation for %{name}.

%description -n java-cups-javadoc -l pl.UTF-8
Dokumentacja do %{name}.

%description -n java-cups-javadoc -l fr.UTF-8
Javadoc pour %{name}.

%package backend-usb
Summary:	USB backend for CUPS
Summary(pl.UTF-8):	Backend USB dla CUPS-a
License:	GPL v2 + openssl exception
Group:		Applications/Printing
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description backend-usb
This package allow CUPS printing on USB printers.

%description backend-usb -l pl.UTF-8
Ten pakiet umożliwia drukowanie z poziomu CUPS-a na drukarkach USB.

%package backend-serial
Summary:	Serial port backend for CUPS
Summary(pl.UTF-8):	Backend obsługujący porty szeregowe dla CUPS-a
License:	GPL v2 + openssl exception
Group:		Applications/Printing
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description backend-serial
This package allow CUPS printing on printers connected by serial
ports.

%description backend-serial -l pl.UTF-8
Ten pakiet umożliwia drukowanie z poziomu CUPS-a na drukarkach
podłączonych do portów szeregowych.

%package backend-parallel
Summary:	Parallel port backend for CUPS
Summary(pl.UTF-8):	Backend obsługujący porty równoległe dla CUPS-a
License:	GPL v2 + openssl exception
Group:		Applications/Printing
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description backend-parallel
This package allow CUPS printing on printers connected by parallel
ports.

%description backend-parallel -l pl.UTF-8
Ten pakiet umożliwia drukowanie z poziomu CUPS-a na drukarkach
podłączonych do portów równoległych.

%package lpd
Summary:	LPD compatibility support for CUPS print server
Summary(pl.UTF-8):	Wsparcie dla LPD w serwerze wydruków CUPS
License:	GPL v2 + openssl exception
Group:		Applications/Printing
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	rc-inetd

%description lpd
LPD compatibility support for CUPS print server.

%description lpd -l pl.UTF-8
Wsparcie dla LPD w serwerze wydruków CUPS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
%{__aclocal} -I config-scripts
%{__autoconf}
%configure \
	--libdir=%{_ulibdir} \
	--disable-cdsassl \
	--enable-dbus \
	--enable-shared \
	--enable-ssl \
	%{?debug:--enable-debug} \
	--%{!?with_dnssd:dis}%{?with_dnssd:en}able-dnssd \
	--%{!?with_gnutls:dis}%{?with_gnutls:en}able-gnutls \
	--%{?with_gnutls:dis}%{!?with_gnutls:en}able-openssl \
	%{?with_static_libs:--enable-static} \
	--with-cups-user=lp \
	--with-cups-group=lp \
	--with-system-groups=sys \
	--with-printcap=/etc/printcap \
	--with-dbusdir=/etc/dbus-1 \
	--with-docdir=%{_ulibdir}/%{name}/cgi-bin \
	--with-config-file-perm=0640 \
	--with-log-file-perm=0640 \
	--with-optim=-Wno-format-y2k \
	%{?with_dnssd:--with-dnssd-libs=x} \
	%{?with_dnssd:--with-dnssd-includes=x} \
	%{?with_java:--with-java} \
	%{?with_perl:--with-perl} \
	%{?with_php:--with-php} \
	%{?with_python:--with-python}

%{__make}

%{__perl} -pi -e 's#-I\.\.\/\.\.#-I../.. -I../../cups#g' scripting/php/Makefile
%{?with_php:%{__make} -C scripting/php PHPCONFIG=%{_bindir}/php-config}

%if %{with perl}
cd scripting/perl
%{__perl} -pi -e 's@-lcups@-L../../cups $1@' Makefile.PL
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	OPTIMIZE="%{rpmcflags} -I../.."
# avoid rpaths generated by MakeMaker
%{__perl} -pi -e 's@LD_RUN_PATH="\$\(LD_RUN_PATH\)" @@' Makefile

%{__make}
cd ../..
%endif

%if %{with java}
cd scripting/java
rm -rf classes/* cups.jar
%javac -d classes src/com/easysw/cups/*.java
cd classes
%jar cvf ../cups.jar com/easysw/cups
cd ../../..
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,pam.d,logrotate.d,security,sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT/var/run/cups \
	$RPM_BUILD_ROOT/var/log/{,archive/}cups

%{__make} install \
	BUILDROOT=$RPM_BUILD_ROOT \
	CUPS_USER=$(id -u) \
	CUPS_GROUP=$(id -g)

if [ "%{_lib}" != "lib" ] ; then
	install -d $RPM_BUILD_ROOT%{_libdir}
	mv $RPM_BUILD_ROOT%{_ulibdir}/*.so* $RPM_BUILD_ROOT%{_libdir}
%if %{with static_libs}
	mv $RPM_BUILD_ROOT%{_ulibdir}/*.a $RPM_BUILD_ROOT%{_libdir}
%endif
fi

%if %{with php}
%{__make} -C scripting/php install \
	PHPDIR=$RPM_BUILD_ROOT%{php_extensiondir}
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/phpcups.ini << 'EOF'
; Enable phpcups extension module
extension=phpcups.so
EOF
%endif

%if %{with perl}
%{__make} -C scripting/perl install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%if %{with java}
install -d $RPM_BUILD_ROOT{%{_javadir},%{_examplesdir}/java-cups-%{version}}
# jars
cp -a scripting/java/cups.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
# examples
cp -a scripting/java/{CUPSPrinter.java,example} $RPM_BUILD_ROOT%{_examplesdir}/java-cups-%{version}
# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a scripting/java/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

install %{SOURCE1}	$RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2}	$RPM_BUILD_ROOT/etc/pam.d/%{name}
install %{SOURCE3}	$RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/cups/mailto.conf
sed -e 's|__ULIBDIR__|%{_ulibdir}|g' %{SOURCE5} > $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/cups-lpd

gzip -9nf $RPM_BUILD_ROOT%{_datadir}/%{name}/model/*.ppd

touch $RPM_BUILD_ROOT/var/log/cups/{access_log,error_log,page_log}
touch $RPM_BUILD_ROOT/etc/security/blacklist.cups
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/{classes,printers,client}.conf

# windows drivers can be put there.
install -d $RPM_BUILD_ROOT%{_datadir}/cups/drivers

# dirs for gimp-print-cups-4.2.7-1
install -d $RPM_BUILD_ROOT%{_datadir}/cups/model/{C,da,en_GB,fr,nb,pl,sv}

touch $RPM_BUILD_ROOT/var/cache/cups/help.index
touch $RPM_BUILD_ROOT/var/cache/cups/{job,remote}.cache
touch $RPM_BUILD_ROOT/var/cache/cups/ppds.dat
install -d $RPM_BUILD_ROOT%{_sysconfdir}/cups/ssl

# links to enable/disable (compatibility!)
ln -s accept $RPM_BUILD_ROOT%{_sbindir}/enable
ln -s accept $RPM_BUILD_ROOT%{_sbindir}/disable

# fix/update locale names
install -d $RPM_BUILD_ROOT%{_datadir}/locale/{nb,zh_CN}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{no/cups_no.po,nb/cups_nb.po}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{zh/cups_zh.po,zh_CN/cups_zh_CN.po}

# check-files cleanup
rm -rf $RPM_BUILD_ROOT%{_mandir}/{,es/,fr/}cat?
rm -rf $RPM_BUILD_ROOT/''etc/{init.d,rc?.d}/*
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/cupsd.conf.default

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cups
%service cups restart "cups daemon"

%preun
if [ "$1" = "0" ]; then
	%service cups stop
	/sbin/chkconfig --del cups
fi

%post	lib -p /sbin/ldconfig
%postun	lib -p /sbin/ldconfig
%post	image-lib -p /sbin/ldconfig
%postun	image-lib -p /sbin/ldconfig

%post -n php-cups
%php_webserver_restart

%postun -n php-cups
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%post -n java-cups-javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%post lpd
%service -q rc-inetd reload

%postun lpd
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
#%doc *.gz doc/*.html doc/*.css doc/images
%doc *.txt
%attr(640,root,root) %config %verify(not md5 mtime size) /etc/pam.d/*
%attr(754,root,root) /etc/rc.d/init.d/cups
/etc/dbus-1/system.d/cups.conf
%attr(600,root,lp) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/classes.conf
%attr(640,root,lp) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/cupsd.conf
%attr(600,root,lp) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/printers.conf
%attr(600,root,lp) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/mailto.conf
%attr(600,root,lp) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/snmp.conf
%attr(640,root,lp) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.convs
%attr(640,root,lp) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.types
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.cups
%dir %attr(700,root,lp) %{_sysconfdir}/%{name}/ssl
%dir %{_sysconfdir}/%{name}/interfaces
%dir %attr(755,root,lp) %{_sysconfdir}/%{name}/ppd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(4755,lp,root) %{_bindir}/lppasswd
%attr(755,root,root) %{_bindir}/cupstestppd
%attr(755,root,root) %{_bindir}/cupstestdsc
%attr(755,root,root) %{_sbindir}/cupsctl
%attr(755,root,root) %{_sbindir}/cupsd
%attr(755,root,root) %{_sbindir}/cupsfilter

%dir %{_ulibdir}/cups
%dir %{_ulibdir}/cups/*
%{_ulibdir}/cups/cgi-bin/help
%{_ulibdir}/cups/cgi-bin/images
%attr(755,root,root) %{_ulibdir}/cups/cgi-bin/*.cgi
%{_ulibdir}/cups/cgi-bin/*.css
%{_ulibdir}/cups/cgi-bin/*.html
%{_ulibdir}/cups/cgi-bin/*.ico
%{_ulibdir}/cups/cgi-bin/*.txt
%lang(de) %{_ulibdir}/cups/cgi-bin/de
%lang(es) %{_ulibdir}/cups/cgi-bin/es
%lang(et) %{_ulibdir}/cups/cgi-bin/et
%lang(fr) %{_ulibdir}/cups/cgi-bin/fr
%lang(he) %{_ulibdir}/cups/cgi-bin/he
%lang(id) %{_ulibdir}/cups/cgi-bin/id
%lang(it) %{_ulibdir}/cups/cgi-bin/it
%lang(ja) %{_ulibdir}/cups/cgi-bin/ja
%lang(pl) %{_ulibdir}/cups/cgi-bin/pl
%lang(sv) %{_ulibdir}/cups/cgi-bin/sv
%lang(zh_TW) %{_ulibdir}/cups/cgi-bin/zh_TW

%exclude %{_ulibdir}/cups/backend/usb
%exclude %{_ulibdir}/cups/backend/serial
%exclude %{_ulibdir}/cups/backend/parallel
%attr(755,root,root) %{_ulibdir}/cups/backend/*
%attr(755,root,root) %{_ulibdir}/cups/daemon/cups-deviced
%attr(755,root,root) %{_ulibdir}/cups/daemon/cups-driverd
%attr(755,root,root) %{_ulibdir}/cups/daemon/cups-polld
%attr(755,root,root) %{_ulibdir}/cups/filter/*
%attr(755,root,root) %{_ulibdir}/cups/monitor/*
%attr(755,root,root) %{_ulibdir}/cups/notifier/*

%{_datadir}/cups/banners
%{_datadir}/cups/charsets
%{_datadir}/cups/data
%{_datadir}/cups/drivers
%{_datadir}/cups/fonts
%dir %{_datadir}/cups/model
%{_datadir}/cups/model/*.ppd.gz
# dirs for gimp-print-cups-4.2.7-1
%dir %{_datadir}/cups/model/C
%lang(da) %dir %{_datadir}/cups/model/da
%lang(en_GB) %dir %{_datadir}/cups/model/en_GB
%lang(fr) %dir %{_datadir}/cups/model/fr
%lang(nb) %dir %{_datadir}/cups/model/nb
%lang(pl) %dir %{_datadir}/cups/model/pl
%lang(sv) %dir %{_datadir}/cups/model/sv

%dir %{_datadir}/cups/templates
%{_datadir}/cups/templates/*.tmpl
%lang(de) %{_datadir}/cups/templates/de
%lang(es) %{_datadir}/cups/templates/es
%lang(et) %{_datadir}/cups/templates/et
%lang(fr) %{_datadir}/cups/templates/fr
%lang(he) %{_datadir}/cups/templates/he
%lang(id) %{_datadir}/cups/templates/id
%lang(it) %{_datadir}/cups/templates/it
%lang(ja) %{_datadir}/cups/templates/ja
%lang(pl) %{_datadir}/cups/templates/pl
%lang(sv) %{_datadir}/cups/templates/sv
%lang(zh_TW) %{_datadir}/cups/templates/zh_TW
%{_mandir}/man1/cupstestppd.1*
%{_mandir}/man1/cupstestdsc.1*
%{_mandir}/man1/lppasswd.1*
%{_mandir}/man7/backend.7*
%{_mandir}/man7/filter.7*
%{_mandir}/man5/*
%{_mandir}/man8/accept.8*
%{_mandir}/man8/cups-deviced.8*
%{_mandir}/man8/cups-driverd.8*
%{_mandir}/man8/cups-polld.8*
%{_mandir}/man8/cupsaddsmb.8*
%{_mandir}/man8/cupsctl.8*
%{_mandir}/man8/cupsd.8*
%{_mandir}/man8/cupsenable.8*
%{_mandir}/man8/cupsfilter.8*
%{_mandir}/man8/lp*

%dir %attr(775,root,lp) /var/cache/cups
%dir %attr(755,root,lp) /var/lib/cups
%dir %attr(511,lp,sys) /var/lib/cups/certs
%dir %attr(755,root,lp) /var/run/cups
%dir %attr(710,root,lp) /var/spool/cups
%dir %attr(1770,root,lp) /var/spool/cups/tmp
%attr(600,lp,lp) %ghost /var/cache/cups/help.index
%attr(640,root,lp) %ghost /var/cache/cups/job.cache
%attr(600,lp,lp) %ghost /var/cache/cups/ppds.dat
%attr(640,root,lp) %ghost /var/cache/cups/remote.cache
%attr(750,root,logs) %dir /var/log/archive/cups
%attr(750,root,logs) %dir /var/log/cups
%attr(640,root,logs) %ghost /var/log/cups/access_log
%attr(640,root,logs) %ghost /var/log/cups/error_log
%attr(640,root,logs) %ghost /var/log/cups/page_log

%files lib
%defattr(644,root,root,755)
%dir %attr(755,root,lp) %{_sysconfdir}/%{name}
%attr(755,root,root) %{_libdir}/libcups.so.*
%dir %{_datadir}/cups
%{_datadir}/cups/charmaps
%lang(da) %{_datadir}/locale/da/cups_da.po
%lang(de) %{_datadir}/locale/de/cups_de.po
%lang(es) %{_datadir}/locale/es/cups_es.po
%lang(et) %{_datadir}/locale/et/cups_et.po
%lang(fi) %{_datadir}/locale/fi/cups_fi.po
%lang(fr) %{_datadir}/locale/fr/cups_fr.po
%lang(he) %{_datadir}/locale/he/cups_he.po
%lang(id) %{_datadir}/locale/id/cups_id.po
%lang(it) %{_datadir}/locale/it/cups_it.po
%lang(ko) %{_datadir}/locale/ko/cups_ko.po
%lang(ja) %{_datadir}/locale/ja/cups_ja.po
%lang(nl) %{_datadir}/locale/nl/cups_nl.po
%lang(nb) %{_datadir}/locale/nb/cups_nb.po
%lang(pl) %{_datadir}/locale/pl/cups_pl.po
%lang(pt) %{_datadir}/locale/pt/cups_pt.po
%lang(pt_BR) %{_datadir}/locale/pt_BR/cups_pt_BR.po
%lang(ru) %{_datadir}/locale/ru/cups_ru.po
%lang(sv) %{_datadir}/locale/sv/cups_sv.po
%lang(zh_CN) %{_datadir}/locale/zh_CN/cups_zh_CN.po
%lang(zh_TW) %{_datadir}/locale/zh_TW/cups_zh_TW.po

%files clients
%defattr(644,root,root,755)
%attr(644,root,lp) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/client.conf
%attr(755,root,root) %{_bindir}/cancel
%attr(755,root,root) %{_bindir}/lp
%attr(755,root,root) %{_bindir}/lpoptions
%attr(755,root,root) %{_bindir}/lpq
%attr(755,root,root) %{_bindir}/lpr
%attr(755,root,root) %{_bindir}/lprm
%attr(755,root,root) %{_bindir}/lpstat
%attr(755,root,root) %{_sbindir}/accept
%attr(755,root,root) %{_sbindir}/cupsaddsmb
%attr(755,root,root) %{_sbindir}/cupsenable
%attr(755,root,root) %{_sbindir}/cupsdisable
%attr(755,root,root) %{_sbindir}/disable
%attr(755,root,root) %{_sbindir}/enable
%attr(755,root,root) %{_sbindir}/lpadmin
%attr(755,root,root) %{_sbindir}/lpc
%attr(755,root,root) %{_sbindir}/lpinfo
%attr(755,root,root) %{_sbindir}/lpmove
%attr(755,root,root) %{_sbindir}/reject
%{_desktopdir}/cups.desktop
%{_iconsdir}/hicolor/*/apps/cups.png
%{_mandir}/man1/cancel.1*
%{_mandir}/man1/lp.1*
%{_mandir}/man1/lpoptions.1*
%{_mandir}/man1/lpq.1*
%{_mandir}/man1/lpr.1*
%{_mandir}/man1/lprm.1*
%{_mandir}/man1/lpstat.1*
#%lang(fr) %{_mandir}/fr/man1/cancel.1*
#%lang(fr) %{_mandir}/fr/man1/lp.1*
#%lang(fr) %{_mandir}/fr/man1/lpoptions.1*
#%lang(fr) %{_mandir}/fr/man1/lpq.1*
#%lang(fr) %{_mandir}/fr/man1/lpr.1*
#%lang(fr) %{_mandir}/fr/man1/lprm.1*
#%lang(fr) %{_mandir}/fr/man1/lpstat.1*
#%lang(es) %{_mandir}/es/man1/lp.1*
#%lang(es) %{_mandir}/es/man1/lpoptions.1*
#%lang(es) %{_mandir}/es/man1/lpq.1*
#%lang(es) %{_mandir}/es/man1/lpr.1*
#%lang(es) %{_mandir}/es/man1/lprm.1*
#%lang(es) %{_mandir}/es/man1/lpstat.1*

%files image-lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcupsimage.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cups-config
%attr(755,root,root) %{_libdir}/libcups.so
%attr(755,root,root) %{_libdir}/libcupsimage.so
%{_includedir}/cups
%{_mandir}/man1/cups-config.1*
#%lang(fr) %{_mandir}/fr/man1/cups-config.1*
#%lang(es) %{_mandir}/es/man1/cups-config.1*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcups.a
%{_libdir}/libcupsimage.a
%endif

%if %{with perl}
%files -n perl-cups
%defattr(644,root,root,755)
%{perl_vendorarch}/CUPS.pm
%dir %{perl_vendorarch}/auto/CUPS
%{perl_vendorarch}/auto/CUPS/CUPS.bs
%{perl_vendorarch}/auto/CUPS/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/CUPS/CUPS.so
%{_mandir}/man3/CUPS.3pm*
%endif

%if %{with php}
%files -n php-cups
%defattr(644,root,root,755)
%doc scripting/php/README
%attr(755,root,root) %{php_extensiondir}/phpcups.so
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/phpcups.ini
%endif

%if %{with java}
%files -n java-cups
%defattr(644,root,root,755)
%{_javadir}/*.jar
%{_examplesdir}/java-cups-%{version}

%files -n java-cups-javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif

%files backend-usb
%defattr(644,root,root,755)
%attr(755,root,root) %{_ulibdir}/cups/backend/usb

%files backend-serial
%defattr(644,root,root,755)
%attr(755,root,root) %{_ulibdir}/cups/backend/serial

%files backend-parallel
%defattr(644,root,root,755)
%attr(755,root,root) %{_ulibdir}/cups/backend/parallel

%files lpd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/*
%attr(755,root,root) %{_ulibdir}/cups/daemon/cups-lpd
%{_mandir}/man8/cups-lpd.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cups.spec,v $
Revision 1.262.2.5  2012/04/05 06:49:25  hawk
- release 9

Revision 1.262.2.4  2011/10/17 07:23:58  hawk
- release 8

Revision 1.262.2.3  2010/06/07 09:08:15  hawk
- release 7

Revision 1.262.2.2  2010/02/26 17:49:04  hawk
- release 6

Revision 1.262.2.1  2010/01/10 19:50:23  hawk
- release 5

Revision 1.262  2009/08/01 15:07:05  adamg
- Suggests: kde4-kde3support instead of kdelibs
- release 3

Revision 1.261  2009/07/12 13:16:57  arekm
- release 2

Revision 1.260  2009/07/03 08:05:02  lisu
- up to 1.3.11

Revision 1.259  2009/07/02 15:44:01  baggins
- rel 3
- back to heimdal kerberos

Revision 1.258  2009/06/08 10:59:09  blues
- more CVE notes

Revision 1.257  2009/06/02 09:01:51  glen
- release 2

Revision 1.256  2009/04/25 08:54:04  adamg
- few more CVE entries for 1.3.10

Revision 1.255  2009/04/20 20:05:30  blues
- added security note CVE-2009-0163

Revision 1.254  2009/04/20 10:49:06  glen
- fix without static libs build

Revision 1.253  2009/04/17 09:16:01  glen
- update to 1.3.10 was performed, so remove sec blocker

Revision 1.252  2009/04/17 08:27:51  lisu
- version 1.3.10 [fixes: CVE-2008-5286, CVE-2009-0163]
- security(CVE-2008-5286) removed (it has been fixed)
  [CVE-2009-0146, CVE-2009-0147, CVE-2009-0164, CVE-2009-0166, CVE-2009-0949]

Revision 1.251  2009/04/11 16:53:38  glen
- group for java-cups

Revision 1.250  2009/03/14 23:54:14  hawk
- re-enabled security blockers

Revision 1.249  2009/03/14 23:46:00  hawk
- temporarily disabled security blockers

Revision 1.248  2008/12/23 09:25:38  blues
- one more security blocker (CVE-2008-5183)

Revision 1.247  2008/12/08 15:08:35  blues
- security note

Revision 1.246  2008/10/13 12:36:17  blues
- CVE notes for 1.3.9

Revision 1.245  2008/10/10 15:04:07  arekm
- up to 1.3.9
  [fixes: CVE-2008-3639, CVE-2008-3640]

Revision 1.244  2008/08/08 18:12:44  adamg
- Requires: openssl-tools

Revision 1.243  2008/07/29 15:47:06  twittner
- rel. 1

Revision 1.242  2008/07/28 08:50:49  baggins
- removed -satisfy-any patch, looks fixed upstream

Revision 1.241  2008/07/23 13:10:34  twittner
- up to 1.3.8
- -templates.patch removed (applied upstream)
- -CVE-2008-1722 removed (according to CHANGES.txt crashes related
  to processing images has been fixed)
- updated -satisfy-any.patch, but NOT applied in a spec - please review
  in relation to CHANGES.txt ["Satisfy any" did not work in IPP policies (STR #2782)]
- rel. 0.1

Revision 1.240  2008/07/19 21:30:11  glen
- add cups-translate.patch (just for reference, no real value)

Revision 1.239  2008/07/19 14:00:22  charles
- added -peercred.patch
- configure: added --with-dbusdir=/etc/dbus-1 and --with-optim; reorganized

Revision 1.238  2008/05/14 14:02:03  charles
- applied patch to fix CVE-2008-1722

Revision 1.237  2008-04-11 13:56:06  glen
- release 2

Revision 1.236  2008-04-11 13:47:45  glen
- drop openldap ver bump

Revision 1.235  2008-04-11 13:45:33  twittner
- up to 1.3.7 - resolves CVE-2008-0047, CVE-2008-1373 and other bugs

Revision 1.234  2008-03-08 15:25:59  blues
- rel.3 - suggests to fill apps from mime.conv

Revision 1.233  2008-03-01 16:16:15  hawk
- release 2

Revision 1.232  2008-03-01 15:35:42  qboosh
- added java-fix patch
- clarified License

Revision 1.231  2008-02-28 22:18:53  arekm
- up to 1.3.6

Revision 1.230  2008-02-24 23:53:17  glen
- release 4

Revision 1.229  2008-01-07 21:33:21  pluto
- release 3.

Revision 1.228  2008-01-07 21:28:37  pluto
- s/--with-cups-group=sys/--with-cups-group=lp/

Revision 1.227  2008-01-07 15:46:24  pluto
- add "Group lp" to cupsd.conf as mentioned in http://pl.docs.pld-linux.org/uslugi_cups.html
- release 2.

Revision 1.226  2007-12-26 15:22:15  adamg
- CVE entries for cups-1.3.5 (rev. 1.223)

Revision 1.225  2007-12-19 23:22:13  glen
- unify java package; added java-cups-javadoc

Revision 1.224  2007-12-18 18:37:25  baggins
- rel 1

Revision 1.223  2007-12-18 18:24:57  baggins
- 1.3.5
  [fixes CVE-2007-5849 CVE-2007-6358 CVE-2007-4352 CVE-2007-5392 CVE-2007-5393]

Revision 1.222  2007-12-06 23:46:22  baggins
- rel 4

Revision 1.221  2007-12-06 23:29:01  baggins
- disable java build on archs that do not have jdk

Revision 1.220  2007-12-06 23:15:23  baggins
- rel 3.1
- added java-cups package
- added cups-lpd package
- fixed `cups-config --libs` pollution
- added desktop and icon files to client package
- fixed php/python typo
- better bcond descriptions

Revision 1.219  2007-12-06 17:36:42  baggins
- rel 3
- fix for "Satisfy Any" directive (detailed info in patch)

Revision 1.218  2007/11/03 14:00:50  baggins
- rel 2

Revision 1.217  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.216  2007/11/01 22:40:28  qboosh
- CVE reference (disclosed today)

Revision 1.215  2007/11/01 10:04:02  rotom
- up to 1.3.4 [fixes CVE-2007-4351]

Revision 1.214  2007/10/24 21:43:14  qboosh
- package nb,zh_CN locales
- some more verbose files
- CVE references for 1.2.7 and 1.3.0

Revision 1.213  2007/10/21 21:01:22  draenog
- locale files and charmaps moved to cups-lib
- CUPS.3pm.gz moved to perl-cups

Revision 1.212  2007/10/20 08:26:30  qboosh
- -devel R: krb5-devel and libjpeg-devel,libpng-devel,libtiff-devel (for libcupsimage)

Revision 1.211  2007/10/06 15:25:35  arekm
- rel 1

Revision 1.210  2007/09/30 15:17:17  twittner
- up to 1.3.3
- rel. 0.1 (not tested, unpackaged locale files)

Revision 1.209  2007/09/19 19:28:49  arekm
- up to 1.3.2

Revision 1.208  2007/09/11 12:30:06  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.207  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.206  2007/08/20 19:06:04  czarny
- typo

Revision 1.205  2007/08/16 07:35:33  arekm
- not supported locales commented out

Revision 1.204  2007/08/16 07:27:32  arekm
- 1.3.0 moved from DEVEL branch; 1.2 moved to CUPS_1_2 branch

Revision 1.192.2.4  2007/08/16 07:24:12  arekm
- final 1.3.0 [fixes CVE-2007-3387]

Revision 1.192.2.3  2007/04/15 19:44:47  wolvverine
- up to r6446

Revision 1.192.2.2  2007/04/02 05:27:56  wolvverine
- up to rev.6397

Revision 1.192.2.1  2007/03/03 15:28:17  glen
- 1.3 moved to DEVEL
- use source that exists

Revision 1.192  2007/03/03 15:04:18  glen
- move crapo removal

Revision 1.191  2007/03/03 15:02:28  glen
- adapter, remove crapola
- it is not 1.3 release but svn snapshot (denote it in release and changelog)

Revision 1.190  2007/03/03 14:36:45  wolvverine
- up to 1.3 snapshot (svn r6309)

Revision 1.189  2007/02/22 18:09:29  wolvverine
- add mailto.conf file

Revision 1.188  2007/02/18 10:04:48  charles
- added -direct_usb.patch (allow usb:/dev/usb/lp0 URI)
- updated -templates.patch
- rel. 2

Revision 1.187  2007/02/15 02:43:11  charles
- previous Source0 URL

Revision 1.186  2007/02/15 02:31:34  charles
- updated to 1.2.8
- rm outdated -str2111.patch; updated -templates.patch

Revision 1.185  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.184  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.183  2007/01/16 22:08:14  glen
- use %php_webserver_restart

Revision 1.182  2007/01/16 21:48:27  glen
- use new php extension macros

Revision 1.181  2006/12/18 14:05:37  charles
- s/-templates_pl.patch/-templates.patch/ ; updated
- added -certs_FHS.patch (moved /certs to /var/lib/cups)
- added -str2111.patch (fixed extra EOF in pstops output)
- rel. 4

Revision 1.180  2006/12/14 22:57:38  glen
- fix php dep; rel 3

Revision 1.179  2006/12/14 00:24:47  glen
- add php extension deps, rel 2

Revision 1.178  2006/11/25 05:51:52  charles
- -devel R: zlib-devel

Revision 1.177  2006/11/21 18:06:18  charles
- updated to 1.2.7 [fixes CVE-2007-0720]
- added it translation
- -templates_pl.patch is back

Revision 1.176  2006/11/07 22:08:45  glen
- lang dirs for gimp-print-cups-4.2.7-1; rel 2

Revision 1.175  2006/11/06 22:52:53  wiget
- updated to 1.2.6
- templates_pl.patch applied upstream

Revision 1.174  2006/10/26 10:17:30  charles
- updated to 1.2.5

Revision 1.173  2006/09/26 19:05:34  glen
- rel 2

Revision 1.172  2006/09/26 12:15:59  charles
- updated to 1.2.4

Revision 1.171  2006/09/06 09:45:54  charles
- updated to 1.2.3
- dropped -str1737.patch (applied upstream)

Revision 1.170  2006/08/16 21:10:10  wiget
- rel 4 (to rebuild with dbus 0.91)

Revision 1.169  2006/08/09 19:13:15  arekm
- rel 3

Revision 1.168  2006/08/04 22:25:48  charles
- added de locale

Revision 1.167  2006/08/04 08:02:25  marcus
- added missing enable/disable in cups-clients. rel.2.

Revision 1.166  2006/08/03 10:22:02  charles
- -devel R: gnutls-devel or openssl-devel

Revision 1.165  2006/07/28 20:52:01  charles
- updated 1.2.2
- rm -svn5706.patch, added -str1737.patch

Revision 1.164  2006/07/13 11:30:36  charles
- sync to latest CUPS svn (quite a lot of bugfixes)
- no longer need -str{1723,1736,1740,1776} patches
- rel. 7, STBR

Revision 1.163  2006/06/29 09:30:01  pluto
- release 6 for rebuild with new libpng soname.

Revision 1.162  2006/06/18 08:33:14  charles
- added -str1776.patch

Revision 1.161  2006/06/06 18:36:19  freetz
- /etc/cups is shared between main and clients subpkg - moved to libs
  rel.5

Revision 1.160  2006/06/05 13:22:12  charles
- added -str1736.patch (fixed bug 'Unable to open "/dev/null" - Too many open files')

Revision 1.159  2006/06/02 19:06:39  charles
- s/jobs-header_tml_pl.patch/templates_pl.patch/ (fix more stupid translations)

Revision 1.158  2006/06/02 16:54:24  charles
- added -str1723.patch and -str1740.patch
- rel. 4

Revision 1.157  2006/05/29 21:15:20  charles
- added gnutls and static_libs bconds

Revision 1.156  2006/05/27 05:11:35  charles
- added -jobs-header_tmpl_pl.patch (spoiled href)
- added %ghost /var/cache/cups/ppds.dat; proper perms
- rel. 3

Revision 1.155  2006/05/24 12:38:33  glen
- unbreak lib64; rel 2

Revision 1.154  2006/05/24 12:01:14  glen
- rel 1

Revision 1.153  2006/05/23 22:21:26  charles
- updated to 1.2.1
- rm -{rpath,str1670,str1705}.patch (applied upstream)

Revision 1.152  2006/05/22 22:05:33  qboosh
- pl updates

Revision 1.151  2006/05/21 16:31:56  glen
- strict internal deps for -clients
- drop superfluous provides on clients pkg

Revision 1.150  2006/05/20 04:28:56  charles
- BR: acl-devel
- added -str{1670,1705}.patch
- fixed perms and missing files
- cleanups

Revision 1.149  2006/05/12 23:13:13  charles
- rm -anonymous_jobs.patch (new way of jobs/auth in 1.2)

Revision 1.148  2006/05/12 23:07:34  charles
- fixed PHPDIR

Revision 1.147  2006/05/12 08:17:31  qboosh
- removed obsolete nolibs patch

Revision 1.146  2006/05/12 08:03:36  arekm
- static subpackage is back; client.conf is back

Revision 1.145  2006/05/12 07:59:03  qboosh
- sorted BRs

Revision 1.144  2006/05/12 06:36:26  arekm
- rel 0.9

Revision 1.143  2006/05/12 06:33:27  arekm
- preffer openssl over gnutls/cdsassl; br: openldap-devel

Revision 1.142  2006/05/12 06:19:22  arekm
- reorder patches; reapply config patch

Revision 1.141  2006/05/12 06:15:31  arekm
- drop obsolete patches (builds fine on gcc 4.1)

Revision 1.140  2006/05/12 06:13:31  arekm
tmpdir patch obsolete; we handle tmpdirs in daemon() in rc-scripts.

Revision 1.139  2006/05/11 23:00:42  glen
- add README to php package (something useful inside)

Revision 1.138  2006/05/11 22:44:16  glen
- gnutls is preferred over openssl, adjust BR
- correct last commit log

Revision 1.137  2006/05/11 22:34:08  glen
- package ssl dir

Revision 1.136  2006/05/11 22:30:38  glen
- package more dirs/files
- make rpmdb cups agree on file permissions (cups wins)

Revision 1.135  2006/05/11 22:05:07  glen
- %lang for localized templates

Revision 1.134  2006/05/11 21:59:34  glen
- ugly typo that packaged all files

Revision 1.133  2006/05/11 21:58:15  glen
- typo

Revision 1.132  2006/05/11 21:48:23  arekm
- patch6 updated

Revision 1.131  2006/05/11 21:25:43  arekm
- merged from DEVEL

Revision 1.130  2006/05/04 19:27:32  glen
- finished php module register

Revision 1.129  2006/05/04 19:15:45  glen
- add drivers dir for win32 drivers
- build and check-files cleanups

Revision 1.128  2006/04/20 18:16:02  glen
- use %service

Revision 1.127  2006/04/15 17:37:05  glen
- package non-glibc dirs

Revision 1.126.2.4  2006/05/11 21:19:47  arekm
- updated to 1.2.0 final

Revision 1.126.2.3  2006/04/25 18:43:01  wiget
- updated to 1.2rc3

Revision 1.126.2.2  2006/04/09 23:19:46  wiget
- updated to 1.2rc2

Revision 1.126.2.1  2006/04/05 12:43:37  wiget
- start update to 1.2rc1

Revision 1.126  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.125  2005/10/17 15:36:01  charles
- added -anonymous_jobs.patch - fixed:
  client-error-forbidden unless /jobs section exists in cupsd.conf; no option for anonymous
  (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=184361)
- BR: libstdc++-devel (for pdftops)
- rel. 5

Revision 1.124  2005/09/02 23:32:05  adamg
- security fix for a DoS vulnerability (CAN-2005-2097)
- release 4

Revision 1.123  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.122  2005/07/25 18:54:05  witekfl
- debug enabled when build with --debug

Revision 1.121  2005/05/03 12:28:03  mmazur
- rel 3; builds with gcc4 on all archs

Revision 1.120  2005/04/03 17:42:32  darekr
- unified

Revision 1.119  2005/02/10 09:16:34  jajcus
- logs owned by root:logs, so statistics-generating and accounting scripts don't need root privs.

Revision 1.118  2005/01/04 19:31:47  qboosh
- renumbered patches

Revision 1.117  2005/01/04 18:32:36  wiget
- updated to final 1.1.23

Revision 1.116  2004/12/20 14:55:14  adamg
- updated to 1.1.23rc1 - fixes two security holes:
  - http://securitytracker.com/alerts/2004/Dec/1012566.html
  - http://securitytracker.com/alerts/2004/Dec/1012602.html
- rel .1

Revision 1.115  2004/10/30 12:49:21  qboosh
- clean es/cat too

Revision 1.114  2004/10/30 12:11:59  arekm
- final 1.22; es man pages added

Revision 1.113  2004/10/30 07:07:25  paladine
- unifications

Revision 1.112  2004/10/29 09:02:01  paladine
- "HTTP" unification

Revision 1.111  2004/10/23 14:51:42  qboosh
- cosmetics

Revision 1.110  2004/10/19 14:43:09  qboosh
- removed non-ascii char from C desc

Revision 1.109  2004/10/18 17:50:29  saq
- up to 1.1.22rc2 (BT #5431)
- STBR for Ac

Revision 1.108  2004/10/13 18:26:43  blues
- possible SECURITY note

Revision 1.107  2004/09/26 21:51:32  kolodko
- added macros in /etc/logrotate.d

Revision 1.106  2004/09/23 23:33:06  arekm
- updated to 1.1.21 final

Revision 1.105  2004/08/20 11:58:23  qboosh
- strict internal deps, use gzip -9n

Revision 1.104  2004/08/20 11:46:37  roman
- added gzipping ppd's in /usr/share/cups/model ppd
- upped release
- changed etc to _sysconfdir in spec
- STBR

Revision 1.103  2004/06/11 10:11:22  arekm
- url which df can understand

Revision 1.102  2004/06/11 10:03:12  arekm
- 1.1.21rc1

Revision 1.101  2004/05/12 16:53:21  adgor
- Added gcc34.patch

Revision 1.100  2004/05/12 14:32:53  wiget
- added rpath.patch (kill -rpath /usr/lib)
- release 4

Revision 1.99  2004/03/19 23:46:23  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.98  2004/03/13 21:20:56  arekm
- rel 3

Revision 1.97  2004/01/31 21:21:10  eothane
- fixed bconds, changelog cosmetics

Revision 1.96  2004/01/31 21:13:21  pbern
- new style bcond
- rel 2.1

Revision 1.95  2004/01/02 16:00:44  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.94  2003/12/31 17:06:03  jajcus
- %{_libdir}/cups moved to %{_prefix}/lib/cups (makes difference on AMD64),
  so filter paths are not arch-dependant

Revision 1.93  2003/12/25 21:29:36  arekm
- updated to final 1.1.20

Revision 1.92  2003/12/09 23:46:56  yoshi
- post & preun: s/cupsd/cups/g to enable cupsd restart & stop

Revision 1.91  2003/11/09 13:38:17  arekm
- updated to 1.1.20rc6

Revision 1.90  2003/10/28 17:33:43  arekm
- moved all clients (for users _and_ admins) to clients subpackage.
  all these clients are able to work via network

Revision 1.89  2003/10/25 11:41:30  ankry
- pl cosmetics

Revision 1.88  2003/10/24 21:49:46  arekm
- updated to 1.1.20-rc5 (segfauls in scheduler should be gone now)

Revision 1.87  2003/10/19 19:42:17  arekm
- added nostrip patch

Revision 1.86  2003/10/19 17:04:14  qboosh
- BR: openslp-devel (used if found)

Revision 1.85  2003/10/19 16:49:46  qboosh
- BR: rpm-perlprov

Revision 1.84  2003/10/17 14:22:06  qboosh
- pl for backends

Revision 1.83  2003/10/17 08:55:27  wiget
- typo

Revision 1.82  2003/10/17 08:50:28  wiget
- updated to 1.1.20rc4
- separated backend accessing real hardware to subpackages
  (cups on start try to detect available hardware and load modules to access
  this hardware, but in some situation this is bad, only method to disable this
  behaviour is removing problemating backends)

Revision 1.81  2003/10/14 21:49:52  arekm
- 1.1.20rc3

Revision 1.80  2003/09/30 20:18:21  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.79  2003/09/26 14:22:34  baggins
- release 5

Revision 1.78  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.77  2003/08/31 17:31:21  mmazur
- rel 4 for ac

Revision 1.76  2003/08/29 16:55:35  ankry
- cosmetics

Revision 1.75  2003/08/03 17:05:27  grzegol
- cosmetics

Revision 1.74  2003/08/03 14:11:23  areq
- add chown.patch

Revision 1.73  2003/07/08 09:06:44  qboosh
- removed redundant /s from paths

Revision 1.72  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.71  2003/06/23 19:14:32  averne
- fixed epoch:version issue

Revision 1.70  2003/06/14 21:24:57  migo
- fixed perl and php bconds

Revision 1.69  2003/06/01 10:52:20  qboosh
- fixed perl module build w/o cups-lib already installed

Revision 1.68  2003/05/28 14:33:28  wiget
- build perl and php modules

Revision 1.67  2003/05/27 22:15:48  aflinta
- version 1.1.19; WTF is cat* in _mandir?

Revision 1.66  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.65  2003/05/25 05:46:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.64  2003/05/22 13:14:49  qboosh
- conflicts with ghostscript < 7.05.4 (i.e. non-espgs)

Revision 1.63  2003/05/21 11:14:29  misi3k
- rel 4
- added security patch
BUG:
cupsd denial of service attack

Revision 1.62  2003/05/08 15:32:16  qboosh
- added nolibs patch to remove unnecessary -lnsl; release 3

Revision 1.61  2003/02/21 17:29:22  qboosh
- added cancel(1) manuals to -clients

Revision 1.60  2003/02/13 14:02:02  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.59  2003/01/19 11:39:08  gotar
- changed libs group from Development/Libraries to Libraries

Revision 1.58  2003/01/02 13:49:41  grzegol
- added man_pages_linking patch (use .so instead linking man pages)
- rel. 2

Revision 1.57  2002/12/20 16:16:03  wiget
- sec update to 1.1.18

Revision 1.56  2002/12/10 11:20:27  wiget
- updated to 1.1.17
- removed .gz sufixes from man pages filenames
- smb backend are provided by samba.spec

Revision 1.55  2002/12/07 23:49:18  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.54  2002/12/07 15:22:46  ggodlewski
- fixed printing on smb printers

Revision 1.53  2002/11/07 02:20:24  misiek
- updated to 1.1.16 (needs testing!)

Revision 1.52  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.51  2002/09/21 17:10:47  adgor
- Added /etc/security/blacklist.cups
- Release 21

Revision 1.50  2002/09/19 08:39:35  orzech
- fixed cups.init

Revision 1.49  2002/07/28 19:37:01  mkochano
- Release 19.
- Corrected lock names in post/postun.

Revision 1.48  2002/07/28 08:16:24  mkochano
- Release 18.
- Removed Provides: lpr.

Revision 1.47  2002/07/09 11:04:34  orzech
- enable, disable back to main package
- some man pages moved to -clients subpackage
- rel. 17

Revision 1.46  2002/06/26 20:44:57  dzimi
- add BuildRequires:	pkgconfig

Revision 1.45  2002/06/20 19:58:44  qboosh
- -clients Conflicts: LPRng; release 16

Revision 1.44  2002/06/19 08:32:56  kloczek
- use new %doc.

Revision 1.43  2002/06/15 09:54:40  ankry
- fixed %%lang
- release 15

Revision 1.42  2002/05/21 23:12:46  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
	       s/^autoconf/\%\{__autoconf\}/"

Revision 1.41  2002/05/15 12:22:14  qboosh
- libpng 1.2.2 support (ugly but setting only one variable doesn't help)

Revision 1.40  2002/04/25 15:38:58  zagrodzki
- fixed attributes for client.conf
- clients subpackage
- rel. 14

Revision 1.39  2002/03/29 17:06:23  kloczek
- cosmetics.

Revision 1.38  2002/03/29 17:05:11  kloczek
- release 13.

Revision 1.37  2002/03/29 14:47:57  wiget
- don't require obsoleted package

Revision 1.36  2002/03/29 12:47:48  alchemyx
- changed prio of init script to 95 so it boots before gdm
- release 12, STBR

Revision 1.35  2002/03/29 12:32:43  blues
- This will solve problems while upgrading from previous versions, I think

Revision 1.34  2002/03/23 05:51:34  kloczek
- bump release to 11.

Revision 1.33  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/02/18 08:58:00  wiget
- cups-libs splited to cups-lib and cups-image-lib (now samba with CUPS support not need libpng & Co.)
- add missing files
- release 2

Revision 1.30  2002/02/17 15:08:28  kloczek
- updated to 1.1.14 (IMPORTAND: security fixes).

Revision 1.29  2002/02/05 14:42:40  kloczek
- back to rel 4 (for allow upgrade from RH :).

Revision 1.28  2002/02/05 13:45:47  blues
- release 1
- doc-dir changed to cgi-bin dir and html's moved to this directory. This
  needed by internal http-server! Don't move it.

Revision 1.27  2002/02/05 12:47:48  kloczek
- updated to 1.1.13 (bugfix release).

Revision 1.26  2002/01/18 02:12:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2002/01/02 18:26:28  kloczek
- release 4: libcups1{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.24  2001/12/21 23:28:44  kloczek
- release 3: fixed init script: do not run cups service on runlevel 0.

Revision 1.23  2001/12/14 03:58:18  kloczek
- release 2.

Revision 1.22  2001/12/12 21:14:04  blues
- added obsoletes rules (they have conflicts files)

Revision 1.21  2001/11/28 21:23:01  kura
- updated to (much better) 1.1.12
- HTML docs moved to /usr/share/doc

Revision 1.20  2001/11/06 00:34:10  mkochano
- Release 3.
- Updated %%files:
  * Added "archiv" directory for logrotate.
  * Added %%ghost entries with empty log files.
  * Tightened security: no read access for other on log files.

Revision 1.19  2001/11/04 22:15:26  mkochano
- Relese 2.
- Added logrotate support.
- Files for internal http server (configuration and so) moved to
  %%{_datadir}/%%{name}/http from %%{_docdir}/%%{name}-%%{version} and
  default configuration updated to match the change.

Revision 1.18  2001/10/23 09:30:46  kloczek
- merge bunch patches from MDK nad CNV,
- merge translations from CNV.

Revision 1.17  2001/10/10 14:59:45  qboosh
- BuildRequires: autoconf, automake

Revision 1.16  2001/09/24 11:49:01  qboosh
- Prereq: /sbin/chkconfig
- changed Requires: -libs to Prereq

Revision 1.15  2001/09/18 15:55:22  bonkey
- change in %%files list: %%{_sysconfdir}/etc to %%{_sysconfdir}/%%{name}

Revision 1.14  2001/09/02 19:50:37  kloczek
- reverte mapping %%{_sysconfdir} to /etc/cups.

Revision 1.13  2001/09/02 19:04:28  kloczek
- updated to 1.1.10,
- map %%{_sysconfdir} to /etc/cups,
- remove zlib-devel from NuildRequires (libpng-devel depends on this),
- added libjpeg-devel.

Revision 1.12  2001/09/01 13:21:23  mkochano
- Release 2.
- Added Provides/Obsoletes lpr

Revision 1.11  2001/08/15 14:34:26  kloczek
- run /sbin/ldconfig in %pos/%postun in libs subpackage,
- spec adapterized,
- added config patch (setup Princap variable to /etc/printcap),
- added %%{_sysconfdir}/cups directory to %files,
- removed %%{_docdir}/cups from %files,
- some cosmetics changes in %files.

Revision 1.10  2001/08/15 13:20:12  waszi
- typo in %%clean

Revision 1.9  2001/08/15 13:10:33  waszi
- rewrited for 1.1.9

Revision 1.8  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.6  2001/01/26 23:23:28  misiek
- starting update. install and files section must be fixed.

Revision 1.5  2000/12/07 15:14:34  pascalek
- Release 3
- doc and config files added
- cups.init fixed (now cupsd use /etc/cups/cups.conf configuration file)

Revision 1.4  2000/12/07 09:36:41  pascalek
- Release 2
- devel and static packages added
- %%files section fixed

Revision 1.3  2000/12/07 08:27:13  pascalek
- Updated to 1.1.4
- cups-chown.patch rewriten and _placed_ in repo

Revision 1.2  2000/12/06 02:38:52  agaran
- Just passed trough adapter
